1 Reply Latest reply on Jul 24, 2009 9:14 AM by Ken Finnigan

    2.2.0.CR1 ruleBasedPermissionResolver component does not start

    Ken Finnigan Master

      I have recently upgraded from 2.1.2.GA to 2.2.0.CR1 which causes the org.jboss.seam.security.ruleBasedPermissionResolver component to not load when the server starts, as it is not in the list of components that have been started and there are also no errors present in the server console output.


      I tried downgrading the Seam jars back to 2.1.2.GA and the component starts fine.  I also tried downgrading from mvel2.jar to mvel14.jar, with no effect.


      Here is my components.xml:



         <drools:rule-base name="securityRules">
            <drools:rule-files>
               <value>/security.drl</value>
            </drools:rule-files>
         </drools:rule-base>
         <security:rule-based-permission-resolver security-rules="#{securityRules}"/>
         <security:jpa-identity-store
            user-class="com.sorstech.vendornet.model.User"
            role-class="com.sorstech.vendornet.model.Role"/>
         <security:jpa-permission-store user-permission-class="com.sorstech.vendornet.model.Permission"/>
      



      Any thoughts as to whether the component not starting is because of a jar issue or is a legitimate bug would be appreciated.


      Thanks
      Ken